Subject: bug#30106: Loading file /sources/emacs/lisp/emacs-lisp/ert.elc failed to provide feature `mod-test'

From: Jean Louis <[email-masked]>
Date: Sun, 14 Jan 2018 09:36:03 +0300

Hello,

I cannot compile the development version so that
dynamic modules work.

When making: make test, I can see this error:

  GEN      src/editfns-tests.log
  ELC      src/emacs-module-tests.elc

In toplevel form:
src/emacs-module-tests.el:32:1:Error: Loading file /sources/emacs/lisp/emacs-lisp/ert.elc failed to provide feature `mod-test'
make[3]: *** [Makefile:146: src/emacs-module-tests.elc] Error 1
make[3]: Target 'src/emacs-module-tests.log' not
remade because of errors.

And if try to load module pq (new one from
Github), I get errors like:

Debugger entered--Lisp error: (error "Loading file /package/text/emacs-27.0.50/share/emacs/27.0.50/lisp/vc/vc-git.elc failed to provide feature ‘pq’")
  require(pq)
  eval((require 'pq) nil)
  elisp--eval-last-sexp(nil)
  eval-last-sexp(nil)
  funcall-interactively(eval-last-sexp nil)
  call-interactively(eval-last-sexp nil nil)
  command-execute(eval-last-sexp)

If anybody can help me to make loading dynamic
modules with development version, let me know.

Jean